//
//  Monster.m
//  MathMonsters
//
//  Created by Ray Wenderlich on 5/3/10.
//  Copyright 2010 Ray Wenderlich. All rights reserved.
//

#import "Monster.h"

@implementation Monster
@synthesize name = _name;
@synthesize descr = _descr;
@synthesize iconName = _iconName;
@synthesize preferredWayToKill = _preferredWayToKill;

- (Monster *)initWithName:(NSString *)name descr:(NSString *)descr iconName:(NSString *)iconName preferredWayToKill:(Weapon)preferredWayToKill {
    if ((self = [super init])) {
        self.name = name;
        self.descr = descr;
        self.iconName = iconName;
        self.preferredWayToKill = preferredWayToKill;
    }
    return self;
}

- (void) dealloc
{
    self.name = nil;
    self.descr = nil;
    self.iconName = nil;
    [super dealloc];
}

@end
